<?php
$campaign_address = isset($_GET['c8']) ? $_GET['c8'] : '';

$protocol = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]";

$landingsPath = $_SERVER['DOCUMENT_ROOT'] . '/promotions/ll/landings/';

if (in_array(substr($campaign_address, 0, 5), ['fr_BE', 'nl_BE'])) {
    $landingPath = substr($campaign_address, 6);
    $geo = substr($campaign_address, 0, 5);
} else {
    $landingPath = $campaign_address;
}

$folder = $landingsPath . $landingPath;

$settingsFilePath = $folder . DIRECTORY_SEPARATOR . 'settings.json';

$name = isset($_GET['c2']) ? ' ' . $_GET['c2'] : '';

$defaultTitle = 'an iPhone 12';
$defaultImage = $protocol .substr($_SERVER['PHP_SELF'], 0, strrpos($_SERVER['PHP_SELF'], '/')) . 'images/product.png';

if (file_exists($settingsFilePath)) {
    $settings = json_decode(file_get_contents($settingsFilePath), true);

    if (false === isset($geo)) {
        switch ($settings['country']) {
            case 'DE':
                $geo = 'de_DE';
                break;
            case 'ES':
                $geo = 'es_ES';
                break;
            case 'FR':
                $geo = 'fr_FR';
                break;
            case 'ID':
                $geo = 'id_ID';
                break;
            case 'IT':
                $geo = 'it_IT';
                break;
            case 'NL':
                $geo = 'nl_NL';
                break;
            case 'TH':
                $geo = 'th_TH';
                break;
            case 'UK':
                $geo = 'en_UK';
                break;
            default:
                $geo = 'en_UK';
        }
    }

    if (isset($settings['settings']['exit_title']) && isset($settings['settings']['exit_title'][$geo])) {
        $title = $settings['settings']['exit_title'][$geo];
    }
    if (isset($settings['settings']['product_image'])) {
        $imageName = $protocol . '/promotions/ll/end/uk/f-exit-deskwall-valid/images/' . $landingPath . '/' . $settings['settings']['product_image'];
    }

} else {
    $title = $defaultTitle;
    $imageName = $defaultImage;
}

switch ($campaign_address) {

    default:
        $title = 'an iPhone 12';
        $imageName = 'product.png';
        break;
        
}

$deals_splitted = [
    'silver' => [
        
        [
            'image' => 'Product-1.png',
            'title' => 'Guardian Monitor',
            'description' => 'Complete Home Protection with 24/7 Surveillance.',
            'prize' => '',
            'link' => 'https://api.trackszz.com/click/yPWajfnAxk/?c10=1&'.$_SERVER['QUERY_STRING'] . 'c8=' . $campaign_address
        ],
        [
            'image' => 'Product-2.png',
            'title' => 'SmartFocus Glasses',
            'description' => 'SmartFocus 3-in-1: Say Goodbye to Wasting Money on Multiple Glasses! Adjustable Dual Vision Lens: No prescription needed!',
            'prize' => '',
            'link' => 'https://api.trackszz.com/click/yPWajfnAxk/?c10=2&'.$_SERVER['QUERY_STRING'] . 'c8=' . $campaign_address
        ],
        [
            'image' => 'Product-3.png',
            'title' => 'StartGlide Fly Ball',
            'description' => 'The Ultimate Adventure Toy! The 360° Rotating, Long-Lasting Flying Ball Toy for Active, Imaginative Play!',
            'prize' => '',
            'link' => 'https://api.trackszz.com/click/yPWajfnAxk/?c10=3&'.$_SERVER['QUERY_STRING'] . 'c8=' . $campaign_address
        ],        
        [
            'image' => 'Product-6.png',
            'title' => 'PanePro 3in1',
            'description' => 'Double the Power, Triple the Function- Effortless Cleaning for Every Glass Surface. Get a Spotless Finish with the PanePro 3in1.',
            'prize' => '',
            'link' => 'https://api.trackszz.com/click/yPWajfnAxk/?c10=4&'.$_SERVER['QUERY_STRING'] . 'c8=' . $campaign_address
        ],
        [
            'image' => 'Product-5.png',
            'title' => 'AirHeat',
            'description' => 'Stay cozy with the AirHeat Portable Heater! Compact, energy-efficient, and fast heating with an adjustable thermostat and safety shut-off.',
            'prize' => '',
            'link' => 'https://api.trackszz.com/click/yPWajfnAxk/?c10=5&'.$_SERVER['QUERY_STRING'] . 'c8=' . $campaign_address
        ],
        [
            'image' => 'stopwatt.png',
            'title' => 'StopWatt',
            'description' => 'Stop Wasting Money On Dirty, Unstable Electricity!',
            'prize' => '',
            'link' => 'https://api.trackszz.com/click/yPWajfnAxk/?c10=6&'.$_SERVER['QUERY_STRING'] . 'c8=' . $campaign_address
        ],

        
    ],
    'gold' => [
    ],
    'platinum' => [
    ]
];